# Verify # Verifications ## List account verifications **get** `/api/v2/verify/verifications` Account-scoped verification state used to recover terminal Verify events after an SSE gap. ### Query Parameters - `limit: optional number` - `offset: optional number` - `updated_at_gte: optional string` ### Returns - `data: array of VerificationState` - `channel: string` - `date_created: string` - `date_updated: string` - `service_sid: string` - `sid: string` - `status: string` - `date_completed: optional string` - `to: optional string` - `pagination: object { count, has_more, limit, offset }` - `count: optional number` - `has_more: optional boolean` - `limit: optional number` - `offset: optional number` - `status: "OK"` - `"OK"` ### Example ```http curl https://api.sendblue.co/api/v2/verify/verifications \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" ``` #### Response ```json { "data": [ { "channel": "channel", "date_created": "2019-12-27T18:11:19.117Z", "date_updated": "2019-12-27T18:11:19.117Z", "service_sid": "service_sid", "sid": "sid", "status": "status", "date_completed": "2019-12-27T18:11:19.117Z", "to": "to" } ], "pagination": { "count": 0, "has_more": true, "limit": 0, "offset": 0 }, "status": "OK" } ``` ## Domain Types ### Verification State - `VerificationState object { channel, date_created, date_updated, 5 more }` - `channel: string` - `date_created: string` - `date_updated: string` - `service_sid: string` - `sid: string` - `status: string` - `date_completed: optional string` - `to: optional string` ### Verification List Response - `VerificationListResponse object { data, pagination, status }` - `data: array of VerificationState` - `channel: string` - `date_created: string` - `date_updated: string` - `service_sid: string` - `sid: string` - `status: string` - `date_completed: optional string` - `to: optional string` - `pagination: object { count, has_more, limit, offset }` - `count: optional number` - `has_more: optional boolean` - `limit: optional number` - `offset: optional number` - `status: "OK"` - `"OK"`